forum-msg-id-127592-edit

Original date:2015-04-11 09:23:33 Edited by: bugmagnet Subject: Run and compile issues on Linux 64bit

Using the following Linux

$ uname -a 
Linux bugmagnet-i3 3.13.0-46-generic #77-Ubuntu SMP Mon Mar 2 18:23:39 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux 
 
$ lsb_release -a 
No LSB modules are available. 
Distributor ID: Ubuntu 
Description:    Ubuntu 14.04.2 LTS 
Release:        14.04 
Codename:       trusty 
and after updating WEE with updater.ex
$ eui updater.ex  
=== WEE Source Code Updater === 
This will overwrite any local changes to the source files. 
Press a key to continue, or 'q' to quit. 
wee.exw is up-to-date. 
scintilla.e is up-to-date. 
parser.e is up-to-date. 
updater.ex is up-to-date. 
Updating ui_gtk.e... 
Updating EuGTK/GtkEngine.e... 
Updating EuGTK/GtkEnums.e... 
Updating EuGTK/GtkPrinter.e... 
EuGTK/events.e is up-to-date. 
EuGTK/README.txt is up-to-date. 
EuGTK/license.txt is up-to-date. 
scintilla/scintilla32.so is up-to-date. 
scintilla/License.txt is up-to-date. 
Done. 
Using the following interpreter version
$ eui -v 
Euphoria Interpreter v4.0.5  
   Linux, Using System Memory 
   Revision Date: 2012-10-15, Id: 62d94559f849 
I try to run the WEE.EXW file and experience
$ eui wee.exw  
/home/bugmagnet/Downloads/WEE-master/ui_gtk.e:591 
<0132>:: Syntax error - expected to see possibly 'end', not '{' 
  {left_margin, top_margin, x_size, y_size} = 
  ^ 
 
 
Press Enter 
I may be able to figure out what's wrong and fix it, but I figure you should at least know that this is occurring.

Kind regards,
bugmagnet

Not Categorized, Please Help

Search



Quick Links

User menu

Not signed in.

Misc Menu